Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 217323 - Sysctl messages from UAC patch for >=sys-kernel/{gentoo,vanilla}-sources-2.6.24
Summary: Sysctl messages from UAC patch for >=sys-kernel/{gentoo,vanilla}-sources-2.6.24
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Kernel Bug Wranglers and Kernel Maintainers
URL:
Whiteboard: insvn
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-11 18:36 UTC by Tobias Klausmann
Modified: 2008-04-19 21:20 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
dmesg including sysctl/uac messages (dmesg.txt,12.61 KB, text/plain)
2008-04-11 18:37 UTC, Tobias Klausmann
Details
updated alpha uac patch (alpha-sysctl-uac-updated.patch,4.83 KB, patch)
2008-04-12 00:34 UTC, Mike Pagano
Details | Diff
updated patch (alpha-sysctl-uac-updated.patch,4.82 KB, patch)
2008-04-12 13:50 UTC, Mike Pagano
Details | Diff
New updated patch (alpha-sysctl-uac-updated.patch,4.76 KB, patch)
2008-04-12 15:07 UTC, Mike Pagano
Details | Diff
boot messages for patch #3 (dmesg2.txt,6.00 KB, text/plain)
2008-04-12 15:24 UTC, Tobias Klausmann
Details
new patch number 4 (alpha-sysctl-uac-updated.patch,4.61 KB, patch)
2008-04-13 21:26 UTC, Mike Pagano
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Klausmann gentoo-dev 2008-04-11 18:36:35 UTC
When I compile recent g-s (or a vanilla kernel with the UAC patch added) on alpha, I get multiple sysctl/uac related messages (see attached dmesgt.txt).

This happens on the following kernels:
2.6.24.4
2.6.24-gentoo-r4
2.6.24-gentoo-r5
2.6.25-rc8

It doesn't happen on these:
2.6.23-gentoo-r9
2.6.23.17

Note that the *functionality* added by the UAC patch is working just fine in all cases.
Comment 1 Tobias Klausmann gentoo-dev 2008-04-11 18:37:08 UTC
Created attachment 149427 [details]
dmesg including sysctl/uac messages
Comment 2 Mike Pagano gentoo-dev 2008-04-12 00:34:54 UTC
Created attachment 149448 [details, diff]
updated alpha uac patch

Here's a updated alpha uac patch I created from dsd's instructions. It's untested. 

Can you apply it against vanilla-2.6.24.4 and let me know the results?
Comment 3 Tobias Klausmann gentoo-dev 2008-04-12 09:31:03 UTC
Vanilla 2.6.24.4 with the patch applied doesn't compile:

  CC      arch/alpha/kernel/traps.o
arch/alpha/kernel/traps.c:121: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘uac_table’
arch/alpha/kernel/traps.c: In function ‘init_uac_sysctl’:
arch/alpha/kernel/traps.c:136: error: implicit declaration of function ‘register_sysctl_table’
arch/alpha/kernel/traps.c:136: error: ‘uac_table’ undeclared (first use in this function)
arch/alpha/kernel/traps.c:136: error: (Each undeclared identifier is reported only once
arch/alpha/kernel/traps.c:136: error: for each function it appears in.)
cc1: warnings being treated as errors
arch/alpha/kernel/traps.c:136: warning: assignment makes pointer from integer without a cast
arch/alpha/kernel/traps.c: In function ‘exit_uac_sysctl’:
arch/alpha/kernel/traps.c:142: error: implicit declaration of function ‘unregister_sysctl_table’
make[1]: *** [arch/alpha/kernel/traps.o] Error 1
make: *** [arch/alpha/kernel] Error 2
Comment 4 Mike Pagano gentoo-dev 2008-04-12 13:50:50 UTC
Created attachment 149483 [details, diff]
updated patch

New patch.
Comment 5 Tobias Klausmann gentoo-dev 2008-04-12 14:18:00 UTC
 make all
  CHK     include/linux/version.h
  CHK     include/linux/utsrelease.h
  CALL    scripts/checksyscalls.sh
<stdin>:1385:2: warning: #warning syscall fallocate not implemented
  CHK     include/linux/compile.h
  CC      arch/alpha/kernel/traps.o
cc1: warnings being treated as errors
arch/alpha/kernel/traps.c:107: warning: ‘uac_sysctl_header’ defined but not used
make[1]: *** [arch/alpha/kernel/traps.o] Error 1
make: *** [arch/alpha/kernel] Error 2
Comment 6 Mike Pagano gentoo-dev 2008-04-12 15:07:17 UTC
Created attachment 149485 [details, diff]
New updated patch 

Thank-you, Tobias, for the alpha access. This one actually compiles.
Comment 7 Tobias Klausmann gentoo-dev 2008-04-12 15:24:41 UTC
Created attachment 149487 [details]
boot messages for patch #3

It now compiles, but there still are similar error messages (yet slightly different ones) as initially.
Comment 8 Mike Pagano gentoo-dev 2008-04-13 21:26:50 UTC
Created attachment 149614 [details, diff]
new patch number 4

Please test when you have a chance.
Comment 9 Tobias Klausmann gentoo-dev 2008-04-14 17:49:07 UTC
That seems to have done it. No more strange messages and the sysctl works as advertised. Thanks a bunch!
Comment 10 Daniel Drake (RETIRED) gentoo-dev 2008-04-19 21:20:01 UTC
fixed in gentoo-sources-2.6.24-r6 / genpatches-2.6.24-7, thanks for the testing